Description

Dear UKHLS team

I have had a look at the existing FAQs but haven't been able to find a response, but please let me know if I'm incorrect.

I am using UKHLS waves 1-8 (which I have merged) and want to do the following:

(1) create a variable that flags all individuals that have had their FIRST child in wave 4

(2) create a variable that flags all individuals that have remained childless for all waves, 1-8

(1) and (2) make up the two groups I am comparing/interested in.

From what I have read, useful variables are as follows:

--> (i)   *_nnatch : number of natural children in the household

--> (ii)  *_lprnt : whether have ever had any children (new respondents only AND if answer to *_nnatch is zero)

--> (iii) *_nnewborn : number of children had since last interview (repeat respondents)

--> (iv)  xw_anychild_dv : whether have ever had a child

(where the asterisk denotes a variable common across all waves, with wave prefix a, b, c etc.; xw denotes it's an xwave variable).

My questions are:

For (1): am I correct in thinking I need to create, first, a variable that can confirm that an individual has remained childless from wave

1 to wave 3 (using nnatch, lprnt and nnewborn) and subsequently had a child at wave 4 (using nnewborn).

For (2): would the xw_anychild_dv variable be sufficient?

As regards the latter point, any information on how this derived variable is calculated would be very helpful (aside from the fact it is

calculated from ch1bm and ch1by). The reason I ask is that when I check the consistency of this variable I don't understand the

results. So for example, if I ask STATA "tab d_nnatch if anychild_dv==2", the results tell me there are 72 individuals that had more

than 0 children in their household at wave 4, despite the xwave variable suggesting they have never had children (anychild_dv==2).

Thank you very much in advance and kind regards

Fabiana

History

#1 - 03/31/2019 03:30 PM - Alita Nandi

- Status changed from New to In Progress

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

Best wishes,

Understanding Society User Support Team

#2 - 03/31/2019 03:32 PM - Alita Nandi

- % Done changed from 0 to 10

- Private changed from Yes to No

#3 - 04/01/2019 07:18 PM - Alita Nandi

- Status changed from In Progress to Feedback

- Assignee changed from Alita Nandi to fabiana macor
- % Done changed from 10 to 80

The variable ch1bm_dv ch1by_dv in xwavedat show the month and year of birth of first child (note: ch1bm_dv  variable is only available in Special

License version and ch1by_dv is available in both EUL and SL versions). Using interview dates you can identify when this child was born and hence

create the two variables are interested in.

Best wishes,

Alita
